Skip to main content
GET
/
environments
/
{org}
/
{env_name}
/
events
List environment events
curl --request GET \
  --url https://app.kosli.com/api/v2/environments/{org}/{env_name}/events \
  --header 'Authorization: Bearer <token>'
[
  {
    "type": "<string>",
    "environment_name": "<string>",
    "snapshot_index": 123,
    "artifact_name": "<string>",
    "sha256": "<string>",
    "description": "<string>",
    "reported_at": 123,
    "pipeline": "<string>",
    "deployments": [
      123
    ],
    "flows": [
      {
        "flow_name": "<string>",
        "deployments": [
          123
        ]
      }
    ],
    "artifact_compliance": true,
    "snapshot_compliance": true,
    "code_diff": "<string>",
    "_links": {}
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

env_name
string
required
org
string
required

Query Parameters

interval
string | null
deprecated

Deprecated, use 'start' and 'end' instead. Expression to specify the interval of snapshots to query. Must be two snapshot expressions separated by '..' ie: '5..10', or '~5..NOW'

page
integer
default:1

The page number of response.

Required range: x >= 1
per_page
integer
default:15

How many results to return per page of response. min: 1, max: 100

Required range: 1 <= x <= 100
reverse
boolean
default:false

Return results in reverse order. Expected values: True or False. Defaults to False.

repo_name
string[] | null

Filter events by repo name. Can be repeated for multiple repos, e.g. repo_name=repo1&repo_name=repo2

start
string
default:1

The start of the interval to query. Can be a positive snapshot index (1, 2, etc.), negative snapshot index (-1 for latest, -2 for second latest, etc.), or time reference ['NOW', '1hour', '1h', '2days', '30mins'], or an exact unix timestamp (1719638400).

end
string
default:NOW

The end of the interval to query. Can be a positive snapshot index (1, 2, etc.), negative snapshot index (-1 for latest, -2 for second latest, etc.), or time reference ['NOW', '1hour', '1h', '2days', '30mins'], or an exact unix timestamp (1719638400).

Response

200 - application/json

List of environment events with pagination headers

type
string
required

Event type

environment_name
string | null

Name for the environment

snapshot_index
integer | null

Snapshot index number

artifact_name
string | null

Artifact name

sha256
string | null

Artifact fingerprint

description
string | null

Event description

reported_at
number | null

Event timestamp

pipeline
string | null

Deprecated: Pipeline name. Use flows instead.

deployments
integer[] | null

Deprecated: List of deployment ids for the artifact

flows
GetEnvironmentEventFlow · object[] | null

The list of flows in which the artifact was reported

artifact_compliance
boolean | null

Artifact compliance in the snapshot

snapshot_compliance
boolean | null

Environment snapshot compliance

code_diff
string | null

Code diff URL

Links to the environment, artifact, and snapshot

Last modified on April 9, 2026